#import <QCProtocols.h>
#import <GFGraph.h>
#import <GFPort.h>

@interface GFConnection : NSObject <GFBase>
{
    GFGraph *_owner;
    GFPort *_sourcePort;
    GFPort *_destPort;
    NSDictionary *_attributes;
    NSMutableDictionary *_userInfo;
    void *_unused[4];
}

- (id)init;
- (id)initWithGraph:(id)fp8 sourcePort:(id)fp12 destinationPort:(id)fp16 arguments:(id)fp20;
- (void)dealloc;
- (void)connectionWillDeleteFromGraph;
- (id)sourcePort;
- (id)destinationPort;
- (id)attributes;
- (id)userInfo;
- (id)graph;
- (id)state;
- (BOOL)setState:(id)fp8;
- (void)stateUpdated;
- (id)description;
- (id)key;

@end
