//
//  KinemeCore.h
//  KinemeCore
//
//  Created by Christopher Wright on 11/6/07.
//  Copyright 2007 Kosada Incorporated. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// import all the QC Headers
#import <GFConnection.h>
#import <GFGraph.h>
#import <GFGraphView.h>
#import <GFList.h>
#import <GFNode.h>
#import <GFNodeActor.h>
#import <GFNodeClassDescription.h>
#import <GFNodeManager.h>
#import <GFPort.h>
#import <KinemeAudioPort.h>
#import <KinemeCore.h>
#import <QCBooleanPort.h>
#import <QCCGLContext.h>
#import <QCCache.h>
#import <QCColorPort.h>
#import <QCContext.h>
#import <QCGraphicsContext.h>
#import <QCImage.h>
#import <QCImageBuffer.h>
#import <QCImageManager.h>
#import <QCImagePort.h>
#import <QCImageProvider.h>
#import <QCImageTextureBuffer.h>
#import <QCIndexPort.h>
#import <QCInspector.h>
#import <QCInterpolationPort.h>
#import <QCLink.h>
#import <QCList.h>
#import <QCNodeManager.h>
#import <QCNumberPort.h>
#import <QCObject.h>
#import <QCObjectPort.h>
#import <QCOpenGLContext.h>
#import <QCOpenGLPort_Blending.h>
#import <QCOpenGLPort_Color.h>
#import <QCOpenGLPort_Culling.h>
#import <QCOpenGLPort_Image.h>
#import <QCOpenGLPort_ZBuffer.h>
#import <QCPatch.h>
#import <QCPatchActor.h>
#import <QCPatchRenderingInfo.h>
#import <QCPatchView.h>
#import <QCPixelFormat.h>
#import <QCPixelImageBuffer.h>
#import <QCPort.h>
#import <QCProtocols.h>
#import <QCProxyPort.h>
#import <QCRegion.h>
#import <QCRenderState.h>
#import <QCResource.h>
#import <QCResourcePool.h>
#import <QCStringPort.h>
#import <QCStructure.h>
#import <QCStructurePort.h>
#import <QCTableView.h>
#import <QCTypes.h>
#import <QCVirtualPort.h>

@interface KinemeCore : NSObject {
}
+ (BOOL)isKinemeCoreLoaded;

@end
