@interface QCImageProvider : NSObject <QCImageProvider>
{
    unsigned int _identifier;
    void *_unused[4];
}

+ (id)allocWithZone:(NSZone *)fp8;
+ (BOOL)isCompatibleWithSource:(id)fp8 sourceMD5:(QCMD5Sum *)fp12;
+ (id)createProviderWithSource:(id)fp8 options:(id)fp12;
- (id)init;
- (QCMD5Sum)providerMD5;
- (id)sourceRepresentationType;
- (id)sourceRepresentation;
- (id)domainOfDefinition;
- (struct CGColorSpace *)colorSpace;
- (BOOL)hasAlpha;
- (id)nativePixelFormat;
- (unsigned int)nativeTextureTarget;
- (BOOL)supportsCropping;
- (BOOL)supportsTransformation;
- (BOOL)supportsColorMatching;
- (id)supportedPixelBufferFormatsForManager:(id)fp8;
- (id)createPixelBufferForManager:(id)fp8 withFormat:(id)fp12 transformation:(id)fp16 bounds:(NSRect)fp20 colorSpace:(struct CGColorSpace *)fp36 options:(id)fp40;
- (id)supportedTextureBufferTargetsForManager:(id)fp8;
- (id)supportedTextureBufferFormatsForManager:(id)fp8;
- (id)createTextureBufferForManager:(id)fp8 withFormat:(id)fp12 target:(unsigned int)fp16 transformation:(id)fp20 bounds:(NSRect)fp24 colorSpace:(struct CGColorSpace *)fp40 options:(id)fp44;
- (id)description;

@end

